classification
Title: PEP 3121, 384 Refactoring applied to signal module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: _signal module leak: test_interpreters leaked [1424, 1422, 1424] references
View: 41713
Assigned To: Nosy List: Robin.Schreiber, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:19 by Robin.Schreiber, last changed 2020-11-19 13:59 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
signal_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:19
Messages (3)
msg168415 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:19
Changes proposed in PEP3121 and PEP384 have now been applied to the signal module!
msg219945 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-07 15:21
PEP 384 is listed as finished while 3121 is accepted so what if anything needs to be done here?  I've checked https://docs.python.org/devguide/experts.html and nobody is listed against the signal module.  The patch is C code which I don't have the knowledge to comment on, sorry about that.
msg381415 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 13:58
The _signal extension module has been ported to the new multi-phase initialization API (PEP 489).

See bpo-41111 "Convert a few stdlib extensions to the limited C API".
History
Date User Action Args
2020-11-19 13:59:44vstinnersetsuperseder: _signal module leak: test_interpreters leaked [1424, 1422, 1424] references
resolution: fixed -> duplicate
2020-11-19 13:58:57vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg381415

resolution: fixed
stage: resolved
2019-03-15 23:11:28BreamoreBoysetnosy: - BreamoreBoy
2014-06-07 15:21:46BreamoreBoysetnosy: + BreamoreBoy
messages: + msg219945
2012-11-08 13:42:20Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:19:26Robin.Schreibercreate